Page MenuHomePhabricator

Flow is breaking OAuth login
Closed, ResolvedPublic

Description

I currently get a 500 error when trying to login in the gerrit uploader. This basically makes the uploader useless.


Version: unspecified
Severity: blocker
URL: https://tools.wmflabs.org/gerrit-patch-uploader/oauth-callback?oauth_verifier=6cf9ad17806bbd30adcc941956af2f11&oauth_token=7d64f00ae120ffff36982fe64063300d

Details

Reference
bz58705

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.
bzimport set Reference to bz58705.
bzimport added a subscriber: Unknown Object (MLST).
Strainu created this task.Dec 19 2013, 7:50 PM

Local testing shows mediawiki.org returning "Our servers are currently experiencing a technical problem.".

So, two problems here: mw.org is throwing an error (which should be fixed soon), and the patch uploader 500's instead of showing a sensible error message. For the second one: https://github.com/valhallasw/gerrit-patch-uploader/issues/12

It's a repeat of bug 58380, this time Flow's fault:

[19-Dec-2013 19:57:46] Fatal error: Call to a member function isSpecial() on a non-object at /usr/local/apache/common-local/php-1.23wmf8/extensions/OAuth/api/MWOAuthAPI.setup.php on line 55
Server: mw1017
Method: POST
URL: http://test.wikipedia.org/w/api.php
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf8/extensions/OAuth/api/MWOAuthAPI.setup.php(55): MWOAuthAPISetup::getOAuthAccessToken()
#1 /usr/local/apache/common-local/php-1.23wmf8/extensions/OAuth/api/MWOAuthAPI.setup.php(89): MWOAuthAPISetup::getOAuthAccessToken()
#2 [internal function]: MWOAuthAPISetup::onUserLoadFromSession(Object(User), NULL)
#3 /usr/local/apache/common-local/php-1.23wmf8/includes/Hooks.php(199): call_user_func_array('MWOAuthAPISetup...', Array)
#4 /usr/local/apache/common-local/php-1.23wmf8/includes/GlobalFunctions.php(4031): Hooks::run('UserLoadFromSes...', Array)
#5 /usr/local/apache/common-local/php-1.23wmf8/includes/User.php(935): wfRunHooks('UserLoadFromSes...', Array)
#6 /usr/local/apache/common-local/php-1.23wmf8/includes/User.php(297): User->loadFromSession()
#7 /usr/local/apache/common-local/php-1.23wmf8/includes/User.php(4560): User->load()
#8 /usr/local/apache/common-local/php-1.23wmf8/includes/User.php(2312): User->loadOptions()
#9 /usr/local/apache/common-local/php-1.23wmf8/includes/context/RequestContext.php(333): User->getOption('language')
#10 /usr/local/apache/common-local/php-1.23wmf8/includes/StubObject.php(204): RequestContext->getLanguage()
#11 /usr/local/apache/common-local/php-1.23wmf8/includes/StubObject.php(149): StubUserLang->_newObject()
#12 /usr/local/apache/common-local/php-1.23wmf8/includes/StubObject.php(98): StubObject->_unstub('getDir', 5)
#13 /usr/local/apache/common-local/php-1.23wmf8/includes/StubObject.php(197): StubObject->_call('getDir', Array)
#14 /usr/local/apache/common-local/php-1.23wmf8/extensions/Flow/includes/Notifications/Controller.php(32): StubUserLang->__call('getDir', Array)
#15 /usr/local/apache/common-local/php-1.23wmf8/extensions/Flow/includes/Notifications/Controller.php(32): StubUserLang->getDir()
#16 /usr/local/apache/common-local/php-1.23wmf8/extensions/Flow/Hooks.php(15): Flow\NotificationController->setup()
#17 [internal function]: FlowHooks::initFlowExtension()
#18 /usr/local/apache/common-local/php-1.23wmf8/includes/Setup.php(602): call_user_func('FlowHooks::init...')
#19 /usr/local/apache/common-local/php-1.23wmf8/includes/WebStart.php(153): require_once('/usr/local/apac...')
#20 /usr/local/apache/common-local/php-1.23wmf8/api.php(44): require('/usr/local/apac...')
#21 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#22 {main}

Poking the engineers.

Reedy added a comment.Dec 19 2013, 8:03 PM
  • Bug 58708 has been marked as a duplicate of this bug. ***

Change 102750 had a related patch set uploaded by Spage:
Allow icon paths to be resolved when requested

https://gerrit.wikimedia.org/r/102750

Change 102783 had a related patch set uploaded by Spage:
Allow defining clousre for notification icon path

https://gerrit.wikimedia.org/r/102783

Change 102783 merged by jenkins-bot:
Allow defining clousre for notification icon path

https://gerrit.wikimedia.org/r/102783

Change 102750 abandoned by EBernhardson:
Allow icon paths to be resolved when requested

Reason:
abandon in favor of https://gerrit.wikimedia.org/r/102834

https://gerrit.wikimedia.org/r/102750

Change 102855 had a related patch set uploaded by Bsitu:
Allow icons to set different ltr/rtl versions

https://gerrit.wikimedia.org/r/102855

Change 102855 merged by jenkins-bot:
Allow icons to set different ltr/rtl versions

https://gerrit.wikimedia.org/r/102855

Change 102851 had a related patch set uploaded by Spage:
Add rtl and ltr icons for flow notification

https://gerrit.wikimedia.org/r/102851

Change 102851 merged by jenkins-bot:
Add rtl and ltr icons for flow notification

https://gerrit.wikimedia.org/r/102851

Change 102861 had a related patch set uploaded by Spage:
Update Echo and Flow

https://gerrit.wikimedia.org/r/102861

Change 102861 merged by jenkins-bot:
Update Echo and Flow.

https://gerrit.wikimedia.org/r/102861

This appears to be fixed now.

Strainu removed a subscriber: Strainu.Jan 9 2015, 1:42 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:57 PM